[Previous] [Next] [Contents]

## `PART::Frob2Part` -- from Frobenius notation to standard notation for partitions

#### Call(s)

`PART::Frob2Part(frob)`

#### Parameters

`frob` | - | a list of two decreasing lists of the same length

#### Introduction

The `PART::Frob2Part` function computes a partition from its Frobenius symbol; that is the decomposition of its diagram into diagonal hooks. The inverse function is `Part2Frob`.

The input is a list of two lists (list of diagonal arms, list of diagonal legs).

The result is a list denoting a partition.

#### Example 1

    >> muEC::PART::Frob2Part( [[6,3,0], [4,2,1]] );

                                  [7, 5, 3, 3, 1]

#### Related Functions

`Part2Frob`, `Part2Border`, `Part2Diagonal`, `Part2Conjugate`, `Part2Mat`, `TYP::IsPart`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package